> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/user.md).

# User

## GET /user

> List all users

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user":{"get":{"operationId":"findAll_7","responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserModel"}}}},"description":"default response"}},"summary":"List all users","tags":["user"]}}},"components":{"schemas":{"UserModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"email":{"type":"string"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"password":{"type":"string"},"role":{"type":"string","enum":["READ","ADMIN","SUPER"]},"username":{"type":"string"}}}}}}
```

## POST /user

> Create a new user

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user":{"post":{"operationId":"add_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserModel"}}},"description":"The model for the user to create"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserModel"}}},"description":"default response"}},"summary":"Create a new user","tags":["user"]}}},"components":{"schemas":{"UserModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"email":{"type":"string"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"password":{"type":"string"},"role":{"type":"string","enum":["READ","ADMIN","SUPER"]},"username":{"type":"string"}}}}}}
```

## GET /user/name/{userName}

> Get a user by user name

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user/name/{userName}":{"get":{"operationId":"getByUserName","parameters":[{"description":"The username to look for","in":"path","name":"userName","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"successful operation"},"404":{"description":"not found"}},"summary":"Get a user by user name","tags":["user"]}}}}
```

## GET /user/passwordPolicy

> Get password policy

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user/passwordPolicy":{"get":{"operationId":"getPasswordPolicy","responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordPolicyModel"}}},"description":"default response"}},"summary":"Get password policy","tags":["user"]}}},"components":{"schemas":{"PasswordPolicyModel":{"type":"object","properties":{"digitRequired":{"type":"boolean"},"lowercaseRequired":{"type":"boolean"},"maximumLength":{"type":"integer","format":"int32"},"minimumLength":{"type":"integer","format":"int32"},"nonAlphanumericRequired":{"type":"boolean"},"repetitiveCharactersDisallowed":{"type":"boolean"},"uppercaseRequired":{"type":"boolean"},"username":{"type":"string"},"usernameDisallowed":{"type":"boolean"}}}}}}
```

## GET /user/passwordReset/passwordPolicy

> Get password policy per token

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user/passwordReset/passwordPolicy":{"get":{"operationId":"getPasswordPolicy_1","parameters":[{"in":"query","name":"token","schema":{"type":"string"}}],"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PasswordPolicyModel"}}},"description":"default response"}},"summary":"Get password policy per token","tags":["user"]}}},"components":{"schemas":{"PasswordPolicyModel":{"type":"object","properties":{"digitRequired":{"type":"boolean"},"lowercaseRequired":{"type":"boolean"},"maximumLength":{"type":"integer","format":"int32"},"minimumLength":{"type":"integer","format":"int32"},"nonAlphanumericRequired":{"type":"boolean"},"repetitiveCharactersDisallowed":{"type":"boolean"},"uppercaseRequired":{"type":"boolean"},"username":{"type":"string"},"usernameDisallowed":{"type":"boolean"}}}}}}
```

## POST /user/passwordReset/request

> Request an email for a user to reset his password

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user/passwordReset/request":{"post":{"operationId":"resetPasswordRequest","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"email":{"type":"string","description":"The email of the target user"}}}}}},"responses":{"202":{"description":"successful operation"}},"summary":"Request an email for a user to reset his password","tags":["user"]}}}}
```

## GET /user/{userId}

> Get a user by ID

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user/{userId}":{"get":{"operationId":"getById_8","parameters":[{"description":"The ID of the target user","in":"path","name":"userId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"successful operation"},"404":{"description":"not found"}},"summary":"Get a user by ID","tags":["user"]}}}}
```

## DELETE /user/{userId}

> Delete a user

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user/{userId}":{"delete":{"operationId":"remove_5","parameters":[{"description":"The ID of the target user","in":"path","name":"userId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"successful operation"}},"summary":"Delete a user","tags":["user"]}}}}
```

## PUT /user/{userId}/role

> Change the role of a user

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/user/{userId}/role":{"put":{"operationId":"changeRole","parameters":[{"description":"The ID of the target user","in":"path","name":"userId","required":true,"schema":{"type":"string","format":"uuid"}},{"description":"The new role for the target user","in":"query","name":"role","schema":{"type":"string","enum":["READ","ADMIN","SUPER"]}}],"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserModel"}}},"description":"default response"}},"summary":"Change the role of a user","tags":["user"]}}},"components":{"schemas":{"UserModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"email":{"type":"string"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"password":{"type":"string"},"role":{"type":"string","enum":["READ","ADMIN","SUPER"]},"username":{"type":"string"}}}}}}
```
